.tl-locations {
    padding-bottom: 54px
}

.tl-location {
    align-items: center;
    gap: 110px;
    margin-left: auto;
    margin-top: 45px;
    display: flex;
    white-space: nowrap;          
}

.hero__map_mobile {
  display: block;
  width: 100vw;
  max-width: 100%;
  height: auto;
  text-align: center;
}

@media (min-width: 992px) {
    .hero__map {
     transform: translate(0px, 90px);
     max-width: 80%;
     height: auto;
     margin-bottom: 50px;
    }

    .hero__map_mobile {
    display: none;
}
}

    .tl-locations__map_mobile {
   display: block;
    width: 100%;
    margin-top: 20px;
    margin-left: 0;
}
.tl-locations__map {
    display: none;
}

@media (min-width: 992px) {
  .tl-locations__map {
    display: inline-block;
  }
}

@media (min-width: 992px) {
  .tl-locations__heading {
    text-align: center;
  }

  .tl-locations__map {
    margin-top: 0;
    margin-right: 70px;
  }

  .tl-locations__towns {
    margin-top: 100px;
  }

  .tl-locations__map .tl-block__decor {
    display: none;
  }
}

@media (min-width: 1292px) {
  .tl-locations__map {
    margin-top: 0;
    margin-left: 170px;
    text-align: center;
  }
}

.tlapa_text {
  width: 20px;
  vertical-align: middle;
  margin-bottom: 5px;
}

@media (min-width: 992px) {
    .tl-locations__map .tl-block__decor {
    display: inline-block;
    max-width: 250px;
    position: relative;
    right: -20px;
    top: -50px;
    transform: rotate(7deg);
    text-align: center;
    }
}

.tl-locations__heading,.tl-locations__text {
    text-align: center
}

.tl-locations__heading,.tl-locations__text {
    text-align: center
}

.tl-locations__heading {
    font-family: museo-sans-rounded,sans-serif;
    font-size: 35px;
    font-weight: 700;
    line-height: 42px;
    margin-bottom: 23px
}

@media(min-width: 992px) {
    .tl-locations__heading {
        font-size:35px;
        line-height: 42px;
        margin-bottom: 29px
    }
}


.tl-locations__text {
    font-size: 14px;
    line-height: 24px;
    margin-bottom: 0
}

.tl-locations__map_mobile_text {
    font-size: 14px;
    line-height: 30px;
    margin-bottom: 0;
    text-align: center;
    margin-top: 30px;
}

@media(min-width: 992px) {

    .tl-locations__map_mobile_text {
    display: none;
}

    .tl-locations__text {
        font-size:19px;
        line-height: 30px
    }
}

/* WRAPPER */
.tlp-offer_test {
  max-width: 1200px;
  margin: center;
  padding: 60px 20px;
}

/* HLAVIČKA */
.tlp-offer_test__header_test {
  text-align: center;
  margin-bottom: 40px;
}

.tlp-offer_test__heading_svatby {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;

    &::before {
        content: "";
        flex: 0 0 40px;
        width: 40px;
        height: 40px;
        background: url('public/images/icon--rings.svg') center / contain no-repeat;
    }
}

.tlp-offer_test__heading_hlidani-psu {
    display: flex;
    align-items: center;
    gap: 30px;
    justify-content: center;

    &::before {
        content: "";
        flex: 0 0 40px;
        width: 60px;
        height: 60px;
        background: url('public/images/icon--watching.svg') center / contain no-repeat;
    }
}

.tlp-offer_test__heading_venceni-psu {
    display: flex;
    align-items: center;
    gap: 30px;
    justify-content: center;

    &::before {
        content: "";
        flex: 0 0 40px;
        width: 40px;
        height: 40px;
        background: url('public/images/icon--walking.svg') center / contain no-repeat;
    }
}

.tlp-offer_test__heading_dochazka {
    display: flex;
    align-items: center;
    gap: 40px;
    justify-content: center;
    
    &::before {
        content: "";
        flex: 0 0 40px;
        width: 40px;
        height: 40px;
        background: url('public/images/icon--dochazka.svg') center / contain no-repeat;
    }
}


.tlp-offer_test__heading_hlidani-kocek {
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: center;

    &::before {
        content: "";
        flex: 0 0 40px;
        width: 40px;
        height: 40px;
        background: url('public/images/icon--cat--real.svg') center / contain no-repeat;
    }
}

.tlp-offer_test__heading_hlidani-drobna-zver {
    display: flex;
    align-items: center;
    gap: 15px;
    justify-content: center;

    &::before {
        content: "";
        flex: 0 0 40px;
        width: 40px;
        height: 40px;
        background: url('public/images/icon--andulka.svg') center / contain no-repeat;
    }
}

@media (max-width: 768px) {
  .tlp-offer_test__heading_venceni-psu {
    margin-inline: auto;
    max-width: 280px;
  }

  .tlp-offer_test__heading_hlidani-psu {
    margin-inline: auto;
    max-width: 280px;
  }

  .tlp-offer_test__heading_svatby {
    margin-inline: auto;
    max-width: 320px;
  }

  .tlp-offer_test__heading_hlidani-kocek {
    margin-inline: auto;
    max-width: 280px;
  }

  .tlp-offer_test__heading_hlidani-drobna-zver {
    margin-inline: auto;
    max-width: 330px;
  }

  .tlp-offer_test__heading_dochazka {
    gap: 10px;
    font-size: 25px;
  }
}



@media (max-width: 992px) {
  .tlp-offer__headingIcon{
    margin-right: 20px;
  }

  .tlp-offer_test__heading_test {
    font-size: 22px;
  }
}

.tlp-offer_new__introText {
  margin: 20px auto 0;
  color: #555;
  line-height: 1.6;
}

.cards {
  display: grid;
  grid-template-columns: 1fr;
  gap: 5px;
  margin: 50px auto 0;
}

.cards_vyleteni {
  display: grid;
  grid-template-columns: 1fr;
  gap: 5px;
  margin: 50px auto 0;
}

.discount-badge {
    position: absolute;
    right: -70px; /* posun mimo kartu */
    top: 30%;
    transform: translateY(-50%) rotate(20deg);
    
    color: #00bcd4;
    font-weight: bold;
    font-size: 10px;
    white-space: nowrap;
}


@media (min-width: 992px) {
  .cards {
    grid-template-columns: repeat(2, 420px);
    justify-content: center;
    gap: 80px;
  }

  .discount-badge {
    position: absolute;
    right: -100px; /* posun mimo kartu */
    top: 100%;
    transform: translateY(-50%) rotate(20deg);
    
    color: #00bcd4;
    font-weight: bold;
    font-size: 14px;
    white-space: nowrap;
}

}

@media (min-width: 992px) {
  .cards_vyleteni {
    grid-template-columns: repeat(1, 420px);
    justify-content: center;
    gap: 80px;
  }
}


.card_title {
  background-repeat: no-repeat;
  background-size: 24px 24px;
  text-align: center;
  padding: 0px 0px 10px 0px;
}

/* Responzivní – na malých obrazovkách jeden sloupec */
@media (max-width: 720px) {
  .tlp-offer__cards {
    grid-template-columns: 1fr;
  }
}

/* KARTA */
.card {
  width: 100%;
  background: #FFB400;
  border: 1px solid #e5e5e5;
  border-radius: 16px;
  padding: 28px;
  transition: all 0.3s ease;
  box-sizing: border-box;
  margin: 0px 0px 50px 0px;
}

.cards-price {
    background: #ffd266;
    border-radius: 20px;
    padding: 20px;
}

.card-price-specification {
    font-size: 12px;
}

/* TITUL */
.card h3 {
  margin: 0 0 5px;
  font-size: 1.25rem;
}

/* SUBTITLE */
.subtitle {
  color: #666;
  margin: 0 0 20px;
  font-size: 0.9rem;
}

/* PRICE ROW */
.price-row {
  position: relative;
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  font-size: 0.95rem;
}

/* BUTTON */
.card button {
  margin-top: 20px;
  width: 100%;
  padding: 12px;
  background: #FFB400;
  color: #111;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-size: 0.95rem;
  transition: background 0.3s;
}

.card button:hover {
  background: #00bcd4;
  color: #111;
  font-weight: bold;
  transition: color 1.5s ease;
  transition: background 1.5s ease;
}

.mainCard {
    display: flex;
    align-items: center; /* zarovnání na střed (volitelné) */
    gap: 20px; /* mezera mezi divy */
}
    
.mainCard--layout {
    display: flex !important;
    gap: 20px;
}

.mainCard {
  display: flex;
  flex-direction: column;
  margin-bottom: 20px;
}

.mainCard__title {
  font-size: 18px;
}

.mainCard__title2 {
  font-size: 18px;
}

.mainCard .tlp-offer__imageHolder {
    padding-bottom: 30px;
  }

  .tlp-offer_new {
  padding: 0;
  margin: 0 auto;
  align-content:center;
  list-style: none;
  background-image: url('public/images/steps_background-mobile.svg');
  background-position: center  20px;
  background-repeat: no-repeat;
  background-repeat: repeat-y;
}

@media (min-width: 792px) {
  .tlp-offer_new {
  background-image: url('public/images/steps_background2.svg');
  background-position: center  20px;
  background-repeat: no-repeat;
  background-repeat: repeat-y;
}
}


/* DESKTOP */
@media (min-width: 992px) {
  .tlp-pricing {
  margin: 0 auto;
  padding: 60px 20px;
  }

  .mainCard {
    display: flex;
    flex-direction: row;
  }

  .mainCard .card {
    flex: 1;
  }

  .mainCard .tlp-offer__imageHolder {
    flex: 2;
  }

  .mainCard .tlp-offer__image {
    max-width: 100%;
    height: auto;
    display: block;
  }
}

.tl-offer__footer_new {
    align-items: start;
    background-image: none;
    background-position: 250px;
    padding: 40px;
    border: 5px solid #ffb30047;
    border-radius: 16px;
    margin-bottom: 20px;
}

.tl-offer__footer_new-heading {
    font-weight: 700;
    text-align: center;
    margin-bottom: 40px;
}

.tl-offer__footer-text_new {
    line-height: 23px;
    margin-bottom: 0;
    text-align: left;
}

.wrapper {
  text-align: center; /* vystředí blok */
}

.tl-offer__footer-text_new-advantage {
    line-height: 23px;
    margin-bottom: 0;
    text-align: left;
}

.tl-offer__footer_new-heading img {
  margin-right: 10px;
  margin-bottom: 5px;
}

.tl-offer__footer_new--offset {
  margin-top: 20px;
}

@media (min-width: 992px) {
    .tl-nav__submenu 
    {
        min-width: 300px;
    }
  }

@media (min-width: 992px) {
    .tl-nav__submenu .tl-nav__item {
        height: 50px;
    }

    #menu-item-34 #menu-item-348 {
    display: list-item !important;
    height: 50px;
}
}

#menu-item-34 #menu-item-348 {
    display: list-item !important;
}

#svatby .price-row {
  position: relative;
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  font-size: 0.95rem;
  flex-direction: column;
}

#svatby .tl-offer__footer-text_new {
    line-height: 23px;
    margin-bottom: 0;
    text-align: center;
}

#svatby .tl-offer__footer-text_new-advantage-sub {
    line-height: 23px;
    margin-bottom: 0;
    text-align: center;
}

#svatby .tl-offer__footer-text_new-advantage {
    line-height: 23px;
    margin-bottom: 0;
    text-align: center;
}

@media (min-width: 992px) {
    .tl-services__items2 {
        margin-bottom: 68px;
        margin-top: 0px;
    }
}

@media (min-width: 992px) {
    .tl-services2 .swiper-wrapper {
        display: flex;
        justify-content: space-evenly;
    }
}

.mobile-sluzby {
    display: block;
}

.desktop-sluzby {
    display: none;
}

@media (min-width: 992px) {

    .mobile-sluzby {
        position: absolute;
        left: -99999px;
        visibility: hidden;
        pointer-events: none;
    }

    .desktop-sluzby {
        display: flex;
        width: 100%;
        justify-content: center;
        flex-direction: column;
    }

    .desktop-sluzby .swiper-wrapper {
        transform: none !important;
    }

    .desktop-sluzby .swiper-slide-duplicate {
        display: none !important;
    }
}

.tl-services__item {
        min-width: calc(20% - .8rem);
        padding-left: 28px;
        padding-right: 28px;

        display: flex;
        flex-direction: column;
    }

.tl-services-item__link {
    margin-top: auto;
}

.tl-services__text2 {
  margin-bottom: 60px;
  text-align: center;
}

.tl-offer__dochazka-detail-info {
    align-items: start;
    background-image: none;
    border: 5px solid #ffb30047;
    border-radius: 16px;
    margin-top: 50px;
    text-align: center;
    margin-bottom: 100px;

    p {
      margin: 20px;
      }
}

@media (max-width: 767px) {
  .tl-offer__dochazka-detail-info {
    margin-top: 0px;
    margin-bottom: 0px;
  }
}

.tlp-offer-detail__list {
    list-style: none;
    margin-top: 30px;
    font-size: 13px;
    font-weight: normal;
    margin-left: -20px;
}

.tlp-offer-detail__list li {
    max-width: 1050px;
    text-align: left;
    margin: 20px auto;
}

.tlp-offer-detail__list li::before {
    content: '';
    display: inline-block;
    width: 15px;
    height: 15px;
    background: url('public/images/tlapka_blue.svg') center / contain no-repeat;
    margin-right: 15px;
    vertical-align: top;
}